import javakara.JavaKaraProgram;
import ch.educeth.kapps.Application;

/**
 * MyJavaKaraProgram zeigt, wie eine Applikation geschrieben werden muss,
 * die Kara steuert und aus einer Entwicklungsumgebung heraus gestartet
 * werden kann.
 *
 * @author Raimond Reichert
 */
public class MyJavaKaraProgram3 extends JavaKaraProgram {

	/**
	 * Die Methode myMainProgram() muss das auszufhrende Hauptprogramm
	 * enthalten. Wenn die Applikation nicht mit einer Welt vorinitialisiert
	 * wird (siehe unten), muss zunchst Kara irgendwo in der Welt plaziert
	 * werden.
	 *
	 * Nach der Ausfhrung dieser Methode kann JavaKara normal weiter
	 * benutzt werden.
	 */
	public void myMainProgram() {
		kara.setPosition(0, 0);
		while (!kara.treeFront()) {
			kara.move();
		}
	}

	/**
	 * JavaKara starten. Soll zu Beginn eine Welt geladen werden,
	 * muss der Dateiname der Welt beim Aufruf von
	 * program.startApplication() mitgegeben werden, also zum Beispiel
	 * program.startApplication("c:/data/test.world").
	 */
	public static void main(String[] args) {
		Application.main(args);

		JavaKaraProgram program = new MyJavaKaraProgram3();
		program.startApplication();
	}

}
